VFS_CEPH(8)

NAME
vfs_ceph - Utilize features provided by CephFS

SYNOPSIS

vfs objects = ceph

DESCRIPTION

This VFS module is part of the samba(8) suite.

The vfs_ceph VFS module exposes CephFS specific features for use by Samba.

Ceph is a distributed network file system designed to provide excellent performance, reliability, and scalability. This is a shared library allowing applications to access a Ceph distributed file system via a POSIX-like interface.

This module can be combined with other modules, but it should be the last module in the vfs objects list. Modules added to this list to the right of the ceph entry may not have any effect at all.

CONFIGURATION

vfs_ceph requires that the underlying share path is a Ceph filesystem.

    		[share]
    		vfs objects = ceph
    		path = /non-mounted/cephfs/path
    		kernel share modes = no

Since vfs_ceph does not require a filesystem mount, the share path is treated differently: it is interpreted as an absolute path within the Ceph filesystem on the attached Ceph cluster. In a ctdb cluster environment where ctdb manages Samba, CTDB_SAMBA_SKIP_SHARE_CHECK=yes must be configured to disable local share path checks, otherwise ctdb will not reach a healthy state.

Note that currently kernel share modes have to be disabled in a share running with the CephFS vfs module for file serving to work properly.

OPTIONS

ceph:config_file = path
    Allows one to define a ceph configfile to use. Empty by default.

    Example: ceph:config_file = /etc/ceph/ceph.conf

ceph:user_id = name
    Allows one to explicitly set the client ID used for the CephFS mount handle. Empty by default (CephFS uses the process id).

    Example: ceph:user_id = samba

VERSION

This man page is part of version 4.9.5 of the Samba suite.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.